#
#  @(#)delete-old-ce.awk	2.1 - 93/09/17 
# Awk script for deleting Classing Engine entries for previous versions
#
BEGIN {
    deleting=0
}
 
/TYPE_NAME,type-id,<msdos-executable>/ {
    deleting=1
}

/FNS_TYPE,refto-Types,<msdos-executable>/ {
    deleting=1
}
 
{
    if (!deleting)
        print
}
 
/TYPE_BGCOLOR,color/ {
    deleting=0
}
 
/FNS_FILENAME,str/ {
    deleting=0
}
